package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF3H3 extends MwfRequest<MWF3H3, MWF3H3Response> {

    @Parameter(name = "ActivatingPassword")
    MWF3H3 activatingPassword(String activatingPassword);
    @Parameter(name = "AppBranchId")
    MWF3H3 appBranchId(String appBranchId);
    @Parameter(name = "AppChannelId")
    MWF3H3 appChannelId(String appChannelId);
    @Parameter(name = "BusinessType")
    MWF3H3 businessType(String businessType);
    @Parameter(name = "ClientBirthCountry")
    MWF3H3 clientBirthCountry(String clientBirthCountry);
    @Parameter(name = "ClientBirthDate")
    MWF3H3 clientBirthDate(java.util.Date clientBirthDate);
    @Parameter(name = "ClientBirthNumber")
    MWF3H3 clientBirthNumber(String clientBirthNumber);
    @Parameter(name = "ClientBirthPlace")
    MWF3H3 clientBirthPlace(String clientBirthPlace);
    @Parameter(name = "ClientBusEmployeeCount")
    MWF3H3 clientBusEmployeeCount(Long clientBusEmployeeCount);
    @Parameter(name = "ClientBusGrossIncomeLastYear")
    MWF3H3 clientBusGrossIncomeLastYear(Double clientBusGrossIncomeLastYear);
    @Parameter(name = "ClientBusName")
    MWF3H3 clientBusName(String clientBusName);
    @Parameter(name = "ClientBusSector")
    MWF3H3 clientBusSector(String clientBusSector);
    @Parameter(name = "ClientBusStartDate")
    MWF3H3 clientBusStartDate(java.util.Date clientBusStartDate);
    @Parameter(name = "ClientCitizenship")
    MWF3H3 clientCitizenship(String clientCitizenship);
    @Parameter(name = "ClientDependPersons")
    MWF3H3 clientDependPersons(Long clientDependPersons);
    @Parameter(name = "ClientEducation")
    MWF3H3 clientEducation(String clientEducation);
    @Parameter(name = "ClientEmploymentType")
    MWF3H3 clientEmploymentType(String clientEmploymentType);
    @Parameter(name = "ClientFamilyBusFlag")
    MWF3H3 clientFamilyBusFlag(String clientFamilyBusFlag);
    @Parameter(name = "ClientFamilyBusProfitSharePct")
    MWF3H3 clientFamilyBusProfitSharePct(Double clientFamilyBusProfitSharePct);
    @Parameter(name = "ClientFixedPerFlag")
    MWF3H3 clientFixedPerFlag(String clientFixedPerFlag);
    @Parameter(name = "ClientForename")
    MWF3H3 clientForename(String clientForename);
    @Parameter(name = "ClientHousingType")
    MWF3H3 clientHousingType(String clientHousingType);
    @Parameter(name = "ClientIco")
    MWF3H3 clientIco(String clientIco);
    @Parameter(name = "ClientLegalForm")
    MWF3H3 clientLegalForm(String clientLegalForm);
    @Parameter(name = "ClientMaritalAssets")
    MWF3H3 clientMaritalAssets(String clientMaritalAssets);
    @Parameter(name = "ClientMaritalStatus")
    MWF3H3 clientMaritalStatus(String clientMaritalStatus);
    @Parameter(name = "ClientMiddleName")
    MWF3H3 clientMiddleName(String clientMiddleName);
    @Parameter(name = "ClientNameTitleAfter")
    MWF3H3 clientNameTitleAfter(String clientNameTitleAfter);
    @Parameter(name = "ClientNameTitleBefore")
    MWF3H3 clientNameTitleBefore(String clientNameTitleBefore);
    @Parameter(name = "ClientPresenceWithAllPersonsFlag")
    MWF3H3 clientPresenceWithAllPersonsFlag(String clientPresenceWithAllPersonsFlag);
    @Parameter(name = "ClientResidentFlag")
    MWF3H3 clientResidentFlag(String clientResidentFlag);
    @Parameter(name = "ClientSex")
    MWF3H3 clientSex(String clientSex);
    @Parameter(name = "ClientSurname")
    MWF3H3 clientSurname(String clientSurname);
    @Parameter(name = "ClientType")
    MWF3H3 clientType(String clientType);
    @Parameter(name = "CurrentAccountOpenFlag")
    MWF3H3 currentAccountOpenFlag(String currentAccountOpenFlag);
    @Parameter(name = "EmployeeSso")
    MWF3H3 employeeSso(String employeeSso);
    @Parameter(name = "IpAddress")
    MWF3H3 ipAddress(String ipAddress);
    @Parameter(name = "LoanAmount")
    MWF3H3 loanAmount(Double loanAmount);
    @Parameter(name = "LoanInstalmentAmount")
    MWF3H3 loanInstalmentAmount(Double loanInstalmentAmount);
    @Parameter(name = "LoanInstalmentDeferredCount")
    MWF3H3 loanInstalmentDeferredCount(Long loanInstalmentDeferredCount);
    @Parameter(name = "LoanInstalmentRegularDay")
    MWF3H3 loanInstalmentRegularDay(Long loanInstalmentRegularDay);
    @Parameter(name = "LoanInsuranceType")
    MWF3H3 loanInsuranceType(String loanInsuranceType);
    @Parameter(name = "LoanMaturityTerm")
    MWF3H3 loanMaturityTerm(Long loanMaturityTerm);
    @Parameter(name = "LoanRepaymentType")
    MWF3H3 loanRepaymentType(String loanRepaymentType);
    @Parameter(name = "OfficerForename")
    MWF3H3 officerForename(String officerForename);
    @Parameter(name = "OfficerFunctId")
    MWF3H3 officerFunctId(String officerFunctId);
    @Parameter(name = "OfficerKey")
    MWF3H3 officerKey(Long officerKey);
    @Parameter(name = "OfficerSurname")
    MWF3H3 officerSurname(String officerSurname);
    @Parameter(name = "RsAddresses")
    MWF3H3 rsAddresses(java.util.List<MWF3H3RsAddresses> rsAddresses);
    @Parameter(name = "RsEmails")
    MWF3H3 rsEmails(java.util.List<MWF3H3RsEmails> rsEmails);
    @Parameter(name = "RsIds")
    MWF3H3 rsIds(java.util.List<MWF3H3RsIds> rsIds);
    @Parameter(name = "RsNaces")
    MWF3H3 rsNaces(java.util.List<MWF3H3RsNaces> rsNaces);
    @Parameter(name = "RsPhones")
    MWF3H3 rsPhones(java.util.List<MWF3H3RsPhones> rsPhones);
}
